# encoding: utf-8
require 'spec_helper'

describe Fleetly::Activity do

  let(:client) { Fleetly::Client.new }

  describe "#get_activity" do

    before(:each) do
      @activity = client.get_activity('4f448458bccfee0d4701f5f0')
    end

    it "returns a Mash of Activity", vcr: true do
      @activity.should be_kind_of Hash
    end

  end

  describe "#get_activities" do
    before(:each) do
      options = {
        name: "Run",
        type: 'workout',
        start: 1,
        limit: 1
      }
      @activities = client.get_activities options
    end

    it "returns a Mash of Activities", vcr: true do
      @activities.should be_kind_of Hash
    end
  end
end

