# Fleetly

API Wrapper for [Fleetly](http://www.fleetly.com/api/docs/quickstart)

## Installation

Add this line to your application's Gemfile:

```ruby
    gem 'fleetly'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install fleetly

## Usage

```ruby
require 'fleetly'

Fleetly.configure do |config|
  config.api_url = 'https://api.fleetly.com'
  config.token = 'your-token-here'
end

client = Fleetly::Client.new

activity = client.get_activity(<ACTIVITY_ID>) #=> returns a Mash of Activity

```

## Contributing

1. Fork it
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request
