# encoding: utf-8
require 'spec_helper'

describe Fleetly::Logitem do

  let(:client) { Fleetly::Client.new }

  describe "#logitem_detail" do

    before(:each) do
      @log_detail = client.get_logitem_details('5169d0ceb102f341fc6695b6')
    end

    it "returns a Mash of Logitem Details", vcr: true do
      @log_detail.should be_kind_of Hash
    end

  end

  describe "#logitem_search" do
    before(:each) do
      options = {
        start: 1,
        limit: 1
      }
      @logitems = client.get_logitems options
    end

    it "returns a Mash of Logitems", vcr: true do
      @logitems.should be_kind_of Hash
    end
  end

end

