# encoding: utf-8
require 'spec_helper'

describe Fleetly::User do

  let(:client) { Fleetly::Client.new }

  describe "#me" do
    before(:each) do
      options = {
        include_activities: 1,
        include_challenges: 1,
        include_friends: 1
      }
      @user = client.me options
    end

    it "returns a Mash of User", vcr: true do
      @user.should be_kind_of Hash
    end

  end

  describe "#user_search" do
    before(:each) do
      options = {
        name: 'Man',
        include_activities: 1,
        include_challenges: 1,
        include_friends: 1,
        limit: 1
      }
      @users = client.user_search options
    end

    it "returns a Mash of Users", vcr: true do
      @users.should be_kind_of Hash
      # @users.users.size.should eq 1
    end

  end


end
